@import url("https://use.typekit.net/xqb5zhb.css");

/*------------------- HEADER ---------------------------*/
  
header {
  position: sticky;
  top: 0;
  background-color: #22527A;
  z-index: 998;
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 999;
  padding: 1em 2em;
  flex-wrap: wrap;
}

.navdesktop {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em 2em;
}

.nav_links a:hover {
    font-weight: 800;
}
  
.logo_header {
    height: 40px;
    stroke: 10px #D84E33;
    width: auto;
    text-align: left;
}
  
nav ul {
    display: flex;
    list-style: none;
    gap: 3.5em;
}
  
nav a {
    text-decoration: none;
    color: white;
    font-family: "museo-slab-rounded", sans-serif;
    font-weight: 700;
}
  
.flag-icon {
    width: 24px;
    height: auto;
}

#mobilmenu-toggle,
#mobilmenu-toggle2 { /* Gemmer de små checkboxes */
  display: none;
}

/*---------- DROPDOWN ----------------*/

.dropdown {
  position: relative;
}

.nav_links {
  list-style: none;
  padding: 0;
  margin: 0;
}

.nav_links > li {
  float: left;
  margin-right: 20px;
  position: relative;
}

.nav_links a {
  display: block;
  text-align: left;
  padding: 10px 0px;
}

.menu {
  list-style: none;
  font-size: 0.8em;
  padding: 0;
  margin: 0;
  position: absolute;
  top: 100%;
  background-color: white;
  width: max-content;
  display: none;
  border-radius: 15px;
}

.menu li {
  width: 100%;
}

.menu a {
  padding: 10px;
  color: #E38A2F;
  background-color: white;
  border: 1px solid #E38A2F;
  font-family: "museo-slab-rounded", sans-serif;
  font-weight: 500;
  font-size: 1.2em;
}

.dropdown:hover > .menu {
  display: block;
}
 
/* ---------------------- RESPONSIVE HEADER ---------------------- */

#navmobil { /* Mobil menu gemmes som standard */
  display: none;
}

#hamburger { /* Looket af vores burger menu ikon */
  height: 90px;
  cursor: pointer;
  display: none;
  top: 1%;
  right: 1%;
  padding: 0.5em 1em;
}

#mobilsubmenu-toggle1,
#mobilsubmenu-toggle2,
#mobilsubmenu-toggle3 { /* Gemmer de små runde radio boxes */
  display: none;
}

@media only screen and (max-width: 768px) { /* Skærm størrelse 768px, men der skal være et ekstra breakpoint ved 550px, hvor alt skal laves lidt mindre */

  #navdesktop { 
    display: none; /* Desktop menu gemmes*/
  }

  #hamburger {
    display: flex; /* Mobil menu vises */
    height: 80px;
    cursor: pointer;
    padding: 0.5em;
  }

  #mobilmenu-toggle:checked ~ nav#navmobil {
    display: flex; /* Burger checkmenu åbnes */
  }

  #navbarmobillogo {
    width: 80px;
    height: auto;
    cursor: pointer;
  }

  #close-icon { /* Looket af vores pil ikon */
    display: flex;
    width: 80px;
    height: auto;
    cursor: pointer; 
  }

  #navmobil {
    display: none;
    position: fixed;
    flex-direction: column; /* Content placeres vertikalt */
    top: 0;
    left: 0;
    height: 100%; /* Overlay fylder hele skærmen */
    width: 100%; /* Overlay fylder hele skærmen */
    padding: 2%;
    background-color: #F3C84695; /* Semi-transparent gul baggrund */
    backdrop-filter: blur(3px); /* Content bag overlay menu bliver sløret */
    z-index: 1000; /* Overlay menu er ovenpå alt andet, når den er åben */
  }

  #topbarmobil {
    width: 100%; /* Topbar fylder hele bredden */
    display: flex;
    justify-content: space-between; /* Logo og luk ikon skal være på hver sin side */
    align-items: center;
    margin: 0;

  }

  #navmobil-content { /* Resten af menuen efter ikonerne ved toppen */
    display: flex;
    flex-direction: column; /* Indholdet placeres vertikalt */
    justify-content: right; /* Indholdet skal være til højre */
    height: 100%;
  }

  .navmobil_links {
    list-style: none;
    display: flex;
    flex-direction: column; /* Links skal placeres vertikalt */
    align-items: flex-end;
    width: 100%;
    gap: 1em; /* Tilføjer lidt afstand mellem links */
    padding-right: 2%; /* Lidt padding til højre, så links ikke sidder helt op ad kanten */
    margin-top: 2em;
  }

  .navmobil_links a {
    display: block;
    font-size: 20pt;
    font-weight: 800;
    letter-spacing: 1px;
    color: #E38A2F; /* Look for menu links */
    background-color: #ffffff;
    border: 5px solid #E38A2F;
    text-align: right; /* Selve teksten skal sidde til højre, for at gøre plads til pil ikon */
    padding: 0.3em 1em;
    margin: -0.2em 0;
    border-radius: 40px;
    width: 250px;
  }

  .navmobil_links a:hover { /* Unødvendigt for mobil, men et lille ekstra touch til desktop */
    background-color: #E38A2F; 
    color: #ffffff;
    transition: 0.3s ease-in-out;
  }

  #someicons ul {
    list-style-type: none;
    display: flex;
    justify-content: space-between; /* SoME ikoner skal være spredt */
    align-items: center;
    width: 250px; /* Men kun over samme bredde som links ovenfor */
    margin: 0;
  }

  #someicons li {
    margin: 0;
    width: 80px;
    height: auto; /* Denne var vigtig for at få ikonerne til at være lige nedenunder menu links */
  }

  #someicons a {
    background-color: transparent; /* Ingen baggrundsfarve ellers så de mærkelige ud pga. look af menu links */
    border: none; /* Samme her, de får deres egen border og baggrundsfarve vha. en "wrapper" */
    width: 80px;
    height: auto;
    margin: 0;
    padding: 0;
    align-items: center;
  }

  .someicons-background { /* Baggrund til SoMe-ikoner: hvid baggrund og orange border aka en "wrapper" */
    display: flex;
    background-color: #ffffff;
    border-radius: 50%; /* Gør ikonerne helt runde */
    border: 5px solid #E38A2F;
    width: 80px;
    height: 80px;
    justify-content: center; /* SoMe-ikonerne skal være centreret i deres "wrapper" */
    align-items: center; /* SoMe-ikonerne skal være centreret i deres "wrapper" */
    padding: 0;
    margin: 0;
  }

  #someicons img {
    display: block;
    height: 50px;
    width: auto;
  }

  .open-this {
    height: 22px;
    rotate: 90deg; /* Pil ikon .png pejer som standard ned og skal derfor drejes 90 grader */
    transition: transform 0.2s ease; /* Rotation af pil ikon har en kort transition */
  }

  .mobil-toggle-label { /* Label for radio box; i dette tilfælde en span og et pil ikon */
    display: flex;
    align-items: center;
    gap: 0.5em;
    cursor: pointer;
  }

  #mobilsubmenu-toggle1:checked ~ label[for="mobilsubmenu-toggle1"] + #mobilsubmenu1,
  #mobilsubmenu-toggle2:checked ~ label[for="mobilsubmenu-toggle2"] + #mobilsubmenu2,
  #mobilsubmenu-toggle3:checked ~ label[for="mobilsubmenu-toggle3"] + #mobilsubmenu3 { /* Undermenu (dropmenu) åbnes når der klikkes på label */
    display: flex;
    flex-direction: column; /* Indholdet placeres vertikalt */
    gap: 0.5em; /* Gap der matcher hovedpunkterne i burger menuen */
  }

  #mobilsubmenu-toggle1:checked + label .open-this, 
  #mobilsubmenu-toggle2:checked + label .open-this, 
  #mobilsubmenu-toggle3:checked + label .open-this {
    transform: rotate(180deg); /* Vores pil-ikon drejes 180 grader når menuen åbnes */
  }

  .menumobil-open { /* MENU, EVENTS og OM OS, som har undermenuer (dropdowns) */
    display: flex;
    justify-content: space-between; /* Tekst og pil ikon skal være på hver sin side af den hvide knap */
    align-items: center;
    font-family: "museo-slab-rounded", sans-serif; /* Span har ingen fonttype i Styles.css */
    font-size: 20pt;
    font-weight: 800;
    letter-spacing: 1px; /* Span skal ligne de andre links, så nedenfor er samme inputs som findes i .navmobil_links a */
    color: #E38A2F;
    background-color: #ffffff;
    border: 5px solid #E38A2F;
    text-align: right;
    padding: 0.3em 1em;
    margin: -0.2em 0;
    border-radius: 40px;
    width: 250px;
    height: 63px;
  }

  .dropdownmobil { /* Hver li har en span i, som er en knap til en dropdown menu */
    position: relative; /* Li med position:relative bestemmer hvor .mobilsubmenu (undermenu/dropdown menu) er placeret */
  }

  .mobilsubmenu { /* Undermenu (dropmenu) */
    display: none; /* Skjult som standard */
    position: absolute; /* Positioneret i forhold til den overordnede li */
    right: 260px; /* Placeret til venstre for den overordnede li */
    top: 0;
    z-index: 999;
  }

  .mobilsubmenu a {
    display: flex;
    font-size: 15pt; /* Er en smule mindre i forhold til hovedpunkterne i burger menuen */
    font-weight: 800; /* Og font weight er en smule lavere */
    letter-spacing: 1px;
    text-align: center; /* Teksten skal være centreret inde i knapperne */
    align-items: center;
    justify-content: center;
    margin-bottom: 0.1em;
    width: 240px; /* Lidt smallere end hovedpunkterne i burger menuen */
    height: 63px;
  }
}

/*------------------- RESPONSIV MOBIL ---------------------------*/

@media only screen and (max-width: 500px) {

  #hamburger {
    height: 60px;
  }

  #navbarmobillogo {
    width: 50px;
    height: auto;
  }

  #close-icon { /* Looket af vores pil ikon */
    width: 50px;
    height: auto;
  }

  .navmobil_links {
    width: 100%;
    gap: 1em; /* Tilføjer lidt afstand mellem links */
    padding-right: 2%; /* Lidt padding til højre, så links ikke sidder helt op ad kanten */
    margin-top: 2em;
  }

  .navmobil_links a {
    font-size: 14pt;
    font-weight: 700;
    width: 170px;
    height: auto;
    border: 3px solid #E38A2F;
  }

  #someicons ul {
    width: 170px; /* Men kun over samme bredde som links ovenfor */
  }

  #someicons li {
    width: 40px;
    height: auto; /* Denne var vigtig for at få ikonerne til at være lige nedenunder menu links */
  }

  #someicons a {
    width: 40px;
    height: auto;
  }

  .someicons-background { /* Baggrund til SoMe-ikoner: hvid baggrund og orange border aka en "wrapper" */
    width: 40px;
    height: 40px;
    border: 3px solid #E38A2F;
  }

  #someicons img {
    height: 20px;
    width: auto;
  }

  .open-this {
    height: 12px;
  }

  .menumobil-open { /* MENU, EVENTS og OM OS, som har undermenuer (dropdowns) */
    font-size: 14pt;
    font-weight: 700;
    width: 170px;
    height: 40px;
    border: 3px solid #E38A2F;
  }

  .mobilsubmenu { /* Undermenu (dropmenu) */
    right: 180px; /* Placeret til venstre for den overordnede li */
  }

  .mobilsubmenu a {
    font-size: 8pt; /* Er en smule mindre i forhold til hovedpunkterne i burger menuen */
    font-weight: 500; /* Og font weight er en smule lavere */
    width: 150px; /* Lidt smallere end hovedpunkterne i burger menuen */
    height: 40px;
    border: 3px solid #E38A2F;
  }

  .logo_header {
    height: 30px;
  }
}

/*-----------------------Footer----------------------------------*/

footer{
  justify-content: center;
  padding: 50px 0;
  bottom: 0;
  background-color: #22527A;
  z-index: 1000;
  align-content: center;
}

#footercontent h4{
  font-weight: 700;
  font-size: 20pt;
  color: #ffffff;
}

#footercontent{
  display: flex;
  max-width: 1000px;
  margin: auto;
}

#footercontent > div{
  display: block;
  width: 25%;
  justify-content: space-between;
  padding: 0 25px;
  color: #ffffff;
}

#map{
  border: solid #ffffff 10px;
  max-width: 100%;
}

#some img{
  display: inline;
  max-width: 30px;
}

/*--------------------Tilføjelser til responsiv footer----------------------*/

@media screen and (max-width:768px){
  
#footercontent{
  display: block;
  }
  
#footercontent > div{
  width: 250px;
  margin-left: auto;
  margin-right: auto;
  padding: 20px;
  align-self: center;
  }
}
